Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.codegen
Class ComputedElementCompiler

    java.lang.Object
      com.saxonica.codegen.ExpressionCompiler
          com.saxonica.codegen.PushExpressionCompiler
              com.saxonica.codegen.ComputedElementCompiler

    public class ComputedElementCompiler

extends PushExpressionCompiler

Compile a computed element constructor to Java source code

Constructor Summary
`ComputedElementCompiler()`

Method Summary
`protected static java.lang.String` | `compileComputedName(Expression nameExp, Expression namespaceExp, CompilerService compiler, int n, NamespaceResolver resolver, java.lang.String nodeKind)`
`void` | `compilePush(CompilerService compiler, Expression expr)` Generate Java code to execute the expression in push mode, that is, code to write events to the current output Receiver
`java.lang.String` | `getStaticBaseURI(Expression exp)` Get the base URI of the instruction being compiled.

Methods inherited from class com.saxonica.codegen.PushExpressionCompiler
`compileToCharSequence, compileToEffectiveBooleanValue, compileToItem, compileToIterator, prepareToPush`

Methods inherited from class com.saxonica.codegen.ExpressionCompiler
`compileAsLoop, compileToValueRepresentation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComputedElementCompiler

    public ComputedElementCompiler()

Method Detail

### compilePush

    public void compilePush(CompilerService compiler,
                            Expression expr)

  Description copied from class: `ExpressionCompiler`
  Generate Java code to execute the expression in push mode, that is, code to write events to the current output Receiver

  Specified by:
    `compilePush` in class `ExpressionCompiler`
  Parameters:
    `compiler` - the compiler service
    `expr` - the expression to be compiled

### compileComputedName

    protected static java.lang.String compileComputedName(Expression nameExp,
                                                          Expression namespaceExp,
                                                          CompilerService compiler,
                                                          int n,
                                                          NamespaceResolver resolver,
                                                          java.lang.String nodeKind)

### getStaticBaseURI

    public java.lang.String getStaticBaseURI(Expression exp)

  Get the base URI of the instruction being compiled. The default implementation returns null, indicating that the base URI is not needed for this kind of instruction

  Overrides:
    `getStaticBaseURI` in class `PushExpressionCompiler`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.